Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class WorkEvent

    java.lang.Object
      org.apache.ode.bpel.engine.WorkEvent

    public class WorkEvent

extends java.lang.Object

Wrapper around job detail map.

Nested Class Summary
`static class` | `WorkEvent.Type`

Method Summary
`java.lang.String` | `getChannel()`
`CorrelationKey` | `getCorrelationKey()`
`java.lang.String` | `getCorrelatorId()`
`java.lang.String` | `getMexId()`
`javax.xml.namespace.QName` | `getProcessId()`
`int` | `getRetryCount()`
`void` | `setChannel(java.lang.String channel)`
`void` | `setCorrelationKey(CorrelationKey ckey)`
`void` | `setCorrelatorId(java.lang.String correlatorId)`
`void` | `setIID(java.lang.Long instanceId)`
`void` | `setMexId(java.lang.String mexId)`
`void` | `setProcessId(javax.xml.namespace.QName pid)`
`void` | `setRetryCount(int retryCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getChannel

    public java.lang.String getChannel()

### setIID

    public void setIID(java.lang.Long instanceId)

### setChannel

    public void setChannel(java.lang.String channel)

### getMexId

    public java.lang.String getMexId()

### setMexId

    public void setMexId(java.lang.String mexId)

### getCorrelatorId

    public java.lang.String getCorrelatorId()

### setCorrelatorId

    public void setCorrelatorId(java.lang.String correlatorId)

### getCorrelationKey

    public CorrelationKey getCorrelationKey()

### setCorrelationKey

    public void setCorrelationKey(CorrelationKey ckey)

### setProcessId

    public void setProcessId(javax.xml.namespace.QName pid)

### getProcessId

    public javax.xml.namespace.QName getProcessId()

### setRetryCount

    public void setRetryCount(int retryCount)

### getRetryCount

    public int getRetryCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD